<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE hibernate-mapping
  PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<hibernate-mapping auto-import="false" default-cascade="all-delete-orphan" default-lazy="false">
   <class discriminator-value="[magoffin.matt.ieat.domain.RelatedRecipe]"
          name="magoffin.matt.ieat.domain.RelatedRecipe"
          table="relatedrecipe">
      <cache usage="read-write"/>
      <id access="org.jvnet.hyperjaxb2.runtime.hibernate.accessor.CheckingPropertyAccessor"
          name="Hjid"
          type="org.hibernate.type.LongType"
          unsaved-value="null">
         <column name="relatedrecipeid" not-null="true"/>
         <generator class="native"/>
      </id>
      <discriminator formula="'magoffin.matt.ieat.domain.RelatedRecipe'"
                     type="org.hibernate.type.StringType"/>
      <many-to-one cascade="none" class="magoffin.matt.ieat.domain.Recipe"
                   foreign-key="relatedrecipe_recipe_fk"
                   insert="true"
                   name="Recipe"
                   update="true">
         <column name="recipeid"/>
      </many-to-one>
      <many-to-one cascade="none" class="magoffin.matt.ieat.domain.RelationKind"
                   foreign-key="relatedrecipe_relationkind_fk"
                   insert="true"
                   name="Kind"
                   update="true">
         <column name="relationkindid"/>
      </many-to-one>
      <subclass discriminator-value="magoffin.matt.ieat.domain.RelatedRecipe"
                name="magoffin.matt.ieat.domain.impl.RelatedRecipeImpl"/>
   </class>
</hibernate-mapping>